petsc-3.7.1 2016-05-15
Report Typos and Errors

# PETSC_i

the imaginary number i

### Synopsis

    #include <petscsys.h>
    PetscComplex PETSC_i;

Many br

### Note

Complex numbers are automatically available if PETSc located a working complex implementation Many br

### See Also

PetscRealPart(), PetscImaginaryPart(), PetscRealPartComplex(), PetscImaginaryPartComplex()

Level:beginner
Location:src/sys/objects/init.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex11.c.html
src/ksp/ksp/examples/tutorials/ex11f.F.html